Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

Get content authoring context

GET /api/mcp/content/authoring-context

Get the active voice configuration, up to five active inspiration posts, content intelligence, and workspace context needed to author LinkedIn content. Read-only and deterministic.

Parameters

workspaceId
string
Optional with API key auth, inferred from the key.

Example

REST requestbash
curl -X GET "https://app.pipeline.help/api/mcp/content/authoring-context" \
-H "Authorization: Bearer $PIPELINE_API_KEY"

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"data": {
"type": "object",
"properties": {
"voiceConfig": {
"type": [
"object",
"null"
]
},
"inspirationPosts": {
"type": "array",
"items": {
"type": "object"
}
},
"intelligenceContext": {
"type": [
"object",
"null"
]
},
"workspaceContext": {
"type": [
"object",
"null"
]
}
},
"required": [
"voiceConfig",
"inspirationPosts",
"intelligenceContext",
"workspaceContext"
]
}
},
"required": [
"data"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline